Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.db
Class DBUserDelegations.Row

    java.lang.Object
      |
      +--com.jxml.qare.qhome.db.DBUserDelegations.Row

All Implemented Interfaces:
  DBRow

Enclosing class:
  DBUserDelegations

public final class DBUserDelegations.Row
extends Object
implements DBRow

Field Summary
`Date` | `aquisitionDate`
`int` | `delegationCount`
`int` | `delegationDepth`
`int` | `delegationDistance`
`int` | `delegationLimit`

Constructor Summary
`DBUserDelegations.Row(DBUser.Row user, DBApplication.Row application, DBPrivilege.Row privilege, DBSystem.Row system, DBUser.Row grantor, DBUser.Row delegee, DBProject.Row project, DBProject.Row grantorProject, DBUser.Row grandGrantor, int delegationId, Date aquisitionDate, int delegationLimit, int delegationCount, int delegationDepth, int delegationDistance)`

Method Summary
`void` | `backup(DataOutputStream dos)`
`boolean` | `closed()`
`void` | `delete()`
`boolean` | `equals(Object o)`
`DBApplication.Row` | `getApplication()`
`Date` | `getaquisitionDate()`
`int` | `getDelegationId()`
`DBUser.Row` | `getDelegee()`
`DBUser.Row` | `getGrandGrantor()`
`DBUser.Row` | `getGrantor()`
`DBProject.Row` | `getGrantorProject()`
`Object` | `getKey()`
`List` | `getKeys()`
`DBPrivilege.Row` | `getPrivilege()`
`DBProject.Row` | `getProject()`
`DBSystem.Row` | `getSystem()`
`DBUser.Row` | `getUser()`
`void` | `update()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### aquisitionDate

    public Date aquisitionDate

### delegationLimit

    public int delegationLimit

### delegationCount

    public int delegationCount

### delegationDepth

    public int delegationDepth

### delegationDistance

    public int delegationDistance

Constructor Detail

### DBUserDelegations.Row

    public DBUserDelegations.Row(DBUser.Row user,
                                 DBApplication.Row application,
                                 DBPrivilege.Row privilege,
                                 DBSystem.Row system,
                                 DBUser.Row grantor,
                                 DBUser.Row delegee,
                                 DBProject.Row project,
                                 DBProject.Row grantorProject,
                                 DBUser.Row grandGrantor,
                                 int delegationId,
                                 Date aquisitionDate,
                                 int delegationLimit,
                                 int delegationCount,
                                 int delegationDepth,
                                 int delegationDistance)
                          throws Exception

Method Detail

### update

    public void update()
                throws Exception

### delete

    public void delete()
                throws Exception

### closed

    public boolean closed()

### getUser

    public DBUser.Row getUser()

### getApplication

    public DBApplication.Row getApplication()

### getPrivilege

    public DBPrivilege.Row getPrivilege()

### getSystem

    public DBSystem.Row getSystem()

### getGrantor

    public DBUser.Row getGrantor()

### getDelegee

    public DBUser.Row getDelegee()

### getGrantorProject

    public DBProject.Row getGrantorProject()

### getGrandGrantor

    public DBUser.Row getGrandGrantor()

### getProject

    public DBProject.Row getProject()

### getKeys

    public List getKeys()

  Specified by:
    `getKeys` in interface `DBRow`

### getKey

    public Object getKey()

  Specified by:
    `getKey` in interface `DBRow`

### getDelegationId

    public int getDelegationId()

### getaquisitionDate

    public Date getaquisitionDate()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### backup

    public void backup(DataOutputStream dos)
                throws Exception

  Specified by:
    `backup` in interface `DBRow`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD